package com.zd.laboratory.domain.vo;

import com.zd.common.core.annotation.Excel;
import com.zd.common.core.enums.SenseStateEnum;
import com.zd.laboratory.domain.LabSensor;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * Controller
 *
 * @author cyl
 * @date 2021/9/24
 */
@ApiModel("传感器表")
public class LabSensorVO extends LabSensor {

    @ApiModelProperty(value = "实验室名称")
    @Excel(name = "实验室名称")
    private String subjectName;

    @Override
    public Integer getRouteNum() {
        if(super.getRouteNum()==-1) return null;
        return super.getRouteNum();
    }

    public String getSubjectName() {
        return subjectName;
    }

    public void setSubjectName(String subjectName) {
        this.subjectName = subjectName;
    }

}
